#!/usr/bin/python

import anydbm
import sys


if not sys.argv[1:]:
    print 'anydbm_dump.py <filename>'
    sys.exit(1)

filename = sys.argv[1]

try:
    hash = anydbm.open(filename,"r")
except:
    sys.stderr.write("Failed to open the given file %s\n" % filename)
    sys.exit(1)

for key in hash.keys():
    print key + "\t" + hash[key]

