#!/usr/bin/python

import anydbm
import sys


if len(sys.argv) != 3:
    print 'anydbm_import.py <filename> <filetoimport>'
    sys.exit(1)

filename = sys.argv[1]
filenametoimport = sys.argv[2]


try:
    hash = anydbm.open(filename,"c")
except:
    sys.stderr.write("Failed to open the given file %s\n" % filename)
    sys.exit(1)


try:
    filetoimport = open(filenametoimport,"r")
except:
    sys.stderr.write("Failed to open the given file %s\n" % filenametoimport)
    sys.exit(1)


for line in filetoimport.readlines():
    # strip trailing newline
    line = line.strip()
    key_value = line.split("\t",1)
    if len(key_value) == 1:
	key = key_value[0]
	hash[key] = None
    else:
	key = key_value[0]
	value = key_value[1]
	hash[key] = value
	


filetoimport.close()
